package me.zohar.runscore.common.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务处理错误枚举类
 *
 * @author zohar
 * @date 2019年1月7日
 */
@Getter
@AllArgsConstructor
public enum BizError {

  参数异常("1000", "参数异常"),

  保证金余额不足("1006", "保证金余额不足"),

  用户名已存在("1014", "用户名已存在"),

  无权查看投注记录("1015", "无权查看投注记录"),

  旧的登录密码不正确("1016", "旧的登录密码不正确"),

  旧的资金密码不正确("1017", "旧的资金密码不正确"),

  资金密码不正确("1017", "资金密码不正确"),

  签名不正确("1018", "签名不正确"),

  充值订单不存在("1019", "充值订单不存在"),

  只有待支付状态的充值订单才能取消("1019", "只有待支付状态的充值订单才能取消"),

  发起支付异常("1021", "发起支付异常"),

  存款时间不能为空("1019", "存款时间不能为空"),

  存款人姓名不能为空("1019", "存款人姓名不能为空"),

  银行卡未绑定无法进行提现("1014", "银行卡未绑定无法进行提现"),

  只有状态为发起提现的记录才能审核通过("1014", "只有状态为发起提现的记录才能审核通过"),

  只有状态为发起提现或审核通过的记录才能进行审核不通过操作("1014", "只有状态为发起提现或审核通过的记录才能进行审核不通过操作"),

  只有状态为审核通过的记录才能进行确认到帐操作("1014", "只有状态为审核通过的记录才能进行确认到帐操作"),

  邀请码不存在或已失效("1014", "邀请码不存在或已失效"),

  未开放注册功能("1014", "未开放注册功能"),

  字典项code不能重复("1000", "字典项code不能重复"),

  邀请人不存在("1014", "邀请人不存在"),

  邀请注册功能已关闭("1014", "邀请注册功能已关闭"),

  无权查看数据("1015", "无权查看数据"),

  无权删除数据("1015", "无权删除数据"),

  商户未接入("1015", "商户未接入"),

  系统无可用商户("1015", "系统无可用商户"),

  商户订单不存在("1015", "商户订单不存在"),

  不支持该支付类型("1015", "不支持该支付类型"),

  订单已被接或已取消("1015", "订单已被接或已取消"),

  保证金不足无法接单("1015", "保证金不足无法接单"),

  订单状态为已接单或平台已确认支付才能转为确认已支付("1015", "订单状态为已接单或平台已确认支付才能转为确认已支付"),

  订单状态为申述中才能转为确认已支付("1015", "订单状态为申述中才能转为确认已支付"),

  保证金不足无法转为确认已支付("1015", "保证金不足无法转为确认已支付"),

  无权确认订单("1015", "无权确认订单"),

  无权获取平台订单收款码信息("1015", "无权获取平台订单收款码信息"),

  无权更新商户订单状态为商户已确认支付("1015", "无权更新商户订单状态为商户已确认支付"),

  订单状态为已接单才能转为平台已确认支付("1015", "订单状态为已接单才能转为平台已确认支付"),

  只有等待接单状态的商户订单才能取消("1019", "只有等待接单状态的商户订单才能取消"),

  找不到所属账号无法新增收款码("1019", "找不到所属账号无法新增收款码"),

  订单状态为已接单或平台已确认支付才能申请取消订单("1015", "订单状态为已接单或平台已确认支付才能申请取消订单"),

  无权取消订单("1015", "无权取消订单"),

  只有申请取消订单状态的平台订单才能转为未支付取消订单("1019", "只有申请取消订单状态的平台订单才能转为未支付取消订单"),

  只能上传图片类型的收款码("1015", "只能上传图片类型的收款码"),

  未设置收款码无法接单("1015", "未设置收款码无法接单"),

  无法接单找不到对应金额的收款码("1015", "无法接单,找不到对应金额的收款码"),

  实际支付金额须小于收款金额("1015", "实际支付金额须小于收款金额"),

  保证金不足无法手工减保证金("1014", "保证金不足,无法手工减保证金"),

  关联账号不存在("1014", "关联账号不存在"),

  账号已关联其他商户("1014", "账号已关联其他商户,无法重复关联"),

  只能关联商户类型的账号("1014", "只能关联商户类型的账号"),

  商户号已使用("1014", "商户号已使用,请使用另外的商户号"),

  商户名称已使用("1014", "商户名称已使用,请使用另外的商户名称"),

  该订单存在未处理的申诉记录不能重复发起("1015", "该订单存在未处理的申诉记录,不能重复发起"),

  申诉类型不合法("1015", "申诉类型不合法"),

  无权撤销申诉("1015", "无权撤销申诉"),

  当前申诉已完结无法更改处理方式("1015", "当前申诉已完结无法更改处理方式"),

  该申诉类型的处理方式不能是改为实际支付金额("1015", "该申诉类型的处理方式不能是改为实际支付金额"),

  该申诉类型的处理方式不能是取消订单("1015", "该申诉类型的处理方式不能是取消订单"),

  只有申诉中的商户订单才能取消订单退款("1019", "只有申诉中的商户订单才能取消订单退款"),

  当前申诉已完结("1015", "当前申诉已完结"),

  不是申诉发起方无权撤销申诉("1015", "不是申诉发起方,无权撤销申诉"),

  用户已提供截图无法撤销申诉("1015", "用户已提供截图,无法撤销申诉"),

  商户已提供截图无法撤销申诉("1015", "商户已提供截图,无法撤销申诉"),

  无权上传截图("1015", "无权上传截图"),

  只有待处理的申诉记录才能上传截图("1015", "只有待处理的申诉记录才能上传截图"),

  已有截图不能重复上传("1015", "已有截图不能重复上传"),

  不能设置重复的返点("1000", "不能设置重复的返点"),

  该返点已存在("1000", "该返点已存在"),

  只有管理员或代理才能进行代理开户操作("1000", "只有管理员或代理才能进行代理开户操作"),

  下级账号的返点不能大于上级账号("1000", "下级账号的返点不能大于上级账号"),

  该返点未设置("1000", "该返点未设置"),

  已达到接单数量上限("1015", "已达到接单数量上限,请先处理待审核的订单"),

  未达到接单保证金最低要求("1015", "未达到接单保证金最低要求,请先充值"),

  用户名不存在("1014", "用户名不存在"),

  不是上级账号无权查看该账号及下级的接单记录("1014", "不是上级账号无权查看该账号及下级的接单记录"),

  不是上级账号无权查看该账号及下级的账号信息("1014", "不是上级账号无权查看该账号及下级的账号信息"),

  不是上级账号无权查看该账号及下级的帐变日志("1014", "不是上级账号无权查看该账号及下级的帐变日志"),

  不是上级账号无权查看该账号及下级的充值记录("1014", "不是上级账号无权查看该账号及下级的充值记录"),

  不是上级账号无权查看该账号及下级的提现记录("1014", "不是上级账号无权查看该账号及下级的提现记录"),
  ;


  private String code;

  private String msg;

}
