package me.zohar.runscore.gatheringcode.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.ConstraintMode;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ForeignKey;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

import lombok.Getter;
import lombok.Setter;
import me.zohar.runscore.useraccount.domain.UserAccount;

@Getter
@Setter
@Entity
@Table(name = "gathering_code")
@DynamicInsert(true)
@DynamicUpdate(true)
public class GatheringCode {

  /**
   * 主键id
   */
  @Id
  @Column(name = "id", length = 32)
  private String id;

  /**
   * 收款渠道
   */
  private String gatheringChannelCode;

  /**
   * 状态,启用:1;禁用:0
   */
  private String state;

  private Boolean fixedGatheringAmount;

  /**
   * 收款金额
   */
  private Double gatheringAmount;

  /**
   * 收款人
   */
  private String payee;

  /**
   * 开户行
   */
  private String bankAddress;
  /**
   * 卡号
   */
  private String bankCode;
  /**
   * 卡户主
   */
  private String bankUsername;
  /**
   * 创建时间
   */
  private Date createTime;

  @Column(name = "storage_id", length = 32)
  private String storageId;

  /**
   * 用户账号id
   */
  @Column(name = "user_account_id", length = 32)
  private String userAccountId;

  @NotFound(action = NotFoundAction.IGNORE)
  @ManyToOne(fetch = FetchType.LAZY)
  @JoinColumn(name = "user_account_id", updatable = false, insertable = false, foreignKey = @ForeignKey(value = ConstraintMode.NO_CONSTRAINT))
  private UserAccount userAccount;

}
